Skip to main content
POST
/
brandSponsorSearch
cURL
curl --request POST \
  --url https://dev.creatordb.app/v2/brandSponsorSearch \
  --header 'Accept: application/json' \
  --header 'Content-Type: application/json' \
  --header 'apiId: LE6DPZQkR3TQShxofXoD2j8qCBu1-f0jti665m1t50dwDD12W' \
  --data '{
  "userId": "UCm-X6o81nRsXQTmqpyArkBQ"
}'
{
  "data": {
    "brands": [
      {
        "brandId": "youtube.com",
        "sponsorResults": [
          {
            "creatorId": "UCGRryxFxjXbVAtBPE9EbyMg",
            "creatorName": "Joe Bartolozzi",
            "platform": "youtube",
            "postLinks": [
              "https://www.youtube.com/watch?v=IcZRf7V5TCk",
              "https://www.youtube.com/watch?v=mJJdY3mx7zQ",
              "https://www.youtube.com/watch?v=FN7HgrJSbBE"
            ]
          },
          {
            "creatorId": "UC-gW4TeZAlKm7UATp24JsWQ",
            "creatorName": "SMii7Yplus",
            "platform": "youtube",
            "postLinks": [
              "https://www.youtube.com/watch?v=M_6_t2X3WaQ",
              "https://www.youtube.com/watch?v=akaom51Rdv0",
              "https://www.youtube.com/watch?v=dk7lmajSq-o"
            ]
          },
          {
            "creatorId": "UCpB959t8iPrxQWj7G6n0ctQ",
            "creatorName": "SSSniperWolf",
            "platform": "youtube",
            "postLinks": [
              "https://www.youtube.com/watch?v=2h789xMcu7E",
              "https://www.youtube.com/watch?v=UfPdqLwRzdM"
            ]
          }
        ]
      },
      {
        "brandId": "rayconglobal.com",
        "sponsorResults": [
          {
            "creatorId": "UCGRryxFxjXbVAtBPE9EbyMg",
            "creatorName": "Joe Bartolozzi",
            "platform": "youtube",
            "postLinks": [
              "https://www.youtube.com/watch?v=lMbmWk1IU9s"
            ]
          },
          {
            "creatorId": "UCpB959t8iPrxQWj7G6n0ctQ",
            "creatorName": "SSSniperWolf",
            "platform": "youtube",
            "postLinks": [
              "https://www.youtube.com/watch?v=2h789xMcu7E"
            ]
          },
          {
            "creatorId": "UC02htytGSVVUsTGTFZEgtcg",
            "creatorName": "imactuallyLazy",
            "platform": "youtube",
            "postLinks": [
              "https://www.youtube.com/watch?v=MWgOPczld_E"
            ]
          }
        ]
      },
      {
        "brandId": "buff.game",
        "sponsorResults": [
          {
            "creatorId": "UCGRryxFxjXbVAtBPE9EbyMg",
            "creatorName": "Joe Bartolozzi",
            "platform": "youtube",
            "postLinks": [
              "https://www.youtube.com/watch?v=J8Q64PQ_uLU"
            ]
          }
        ]
      }
    ]
  },
  "quotaUsed": 10,
  "quotaUsedTotal": 6034,
  "remainingPlanCredit": 993966,
  "remainingPrepurchasedCredit": 0,
  "timestamp": 1755503517048,
  "error": "",
  "success": true
}

Headers

apiId
string
required
Example:

"LE6DPZQkR3TQShxofXoD2j8qCBu1-f0jti665m1t50dwDD12W"

Body

application/json

search parameters with userId

The request body of the brandSponsorSearch API.

userId
string
required

The creator's YouTube ID.

Response

OK

data
object
quotaUsed
number

API credits that were used to make this call.

quotaUsedTotal
number

Total API credits used since the last billing cycle.

remainingPlanCredit
number

The number of remaining free API credits that come with your subscription plan. These API credits are renewed every billing cycle.

remainingPrepurchasedCredit
number

The number of remaining extra purchased API credits. These API credits do not expire until used.

timestamp
number

Unix timestamp of the call request that the server received.

error
string

Errors that occurred during the API call.

success
boolean

It is TRUE when the call is successful.

Last modified on February 25, 2026